COMPUTE_THEME_D_PROGRAM_DEPS(1)

NAME
compute-theme-d-program-deps - compute Theme-D program dependencies

SYNOPSIS
compute-theme-d-program-deps FILE LIBRARY

DESCRIPTION
Compute make dependencies for monolithically linked Theme-D program FILE. Only dependencies with unit path LIBRARY are included. The unit path is computed from the unit name by dropping the last symbol from the name.

EXAMPLES
compute-theme-d-program-deps sequence-test.thp examples

SEE ALSO
theme-d-link(1), theme-d-compile(1), compute-theme-d-pcode-deps(1), compute-theme-d-module-deps(1), make(1), /usr/share/doc/theme-d-doc/theme-d-user-guide.pdf